Subject: Re: 24.5; elpa gnugo-3.0 returns an error when loading sgf file

From: Stefan Kangas <[email-masked]>
Date: Mon, 04 Nov 2019 20:55:41 +0100

Hi Thien-Thi Nguyen,

Could you please take a look at the below bug in the gnugo.el ELPA
package?  It was reported to the Emacs bug tracker in 2015, but never
got a reply at the time.

Best regards,
Stefan Kangas

[email-masked] (H. Dieter Wilhelm) writes:

> Emacs -Q, then loading gnugo-3.0 from ~/emacs.d/elpa, then M-x gnugo and
> trying to load an sgf file from http://www.dragongoserver.net: The
> package return just an error message: Bad spec: nil.  The sgf loads in
> gnugo 3.8 without errors.  When translating the "dragon" sgf file into a
> gnugo sgf file it is also not possible to read the gnugo sgf into
> gnugo-3.0. (The same error message occurs.)
>
> Here's the file's content (output from gnugo 3.8 (debian 8.0), made the
> name of my opponent unrecognisable):
> ----------------------------------------------------------------------
> (;GM[1]FF[4]
> SZ[11]
> GN[P....-Dida-1017469-20151007]
> DT[2015-08-27,2015-10-07]
> PB[H. Dieter Wilhelm (Dida)]BR[29k]
> PW[V.... (P... )]WR[28k]
> AP[DGS:1.19.9]PC[Dragon Go Server: http://www.dragongoserver.net/]
> SO[http://www.dragongoserver.net/game.php?gid=1017469]XM[62]GC[Game ID: 1017469
> Game Type: GO (1:1)
> Rated: Y
>
> White Start Rating: 29k (+14%) - ELO -786
> Black Start Rating: 29k (-49%) - ELO -848]
> OT[30 days with 1 day extra per move]RU[Japanese]KM[6.5]HA[0]
> ;B[hf];W[ci];B[gh];W[ii];B[fc];W[dc];B[ff];W[ef];B[gi];W[ic];B[id]
> ;W[jd];B[je];W[ie];B[hd];W[jf];B[if];W[ke];B[he];W[je];B[jg];W[hc]
> ;B[gc];W[gf];B[gg];W[fg];B[fe];W[ed];B[ee];W[df];B[ec];W[de];B[ge]
> ;W[fd];B[eg];W[eh];B[fh];W[dg];B[gd];W[dd];B[fg];W[jh];B[ig];W[hh]
> ;B[ih];W[hi];B[ji];W[jj];B[kh];W[kj];B[ki];W[fj];B[hj];W[ij];B[ik]
> ;W[gj];B[hb];W[ib];B[ha];W[ia];B[gb];W[eb])
>
> ----------------------------------------------------------------------
>
> Please have a look at this issue and thank you for gnugo in Emacs! :-)
>
>
>
>
> In GNU Emacs 24.5.2 (x86_64-unknown-linux-gnu, GTK+ Version 3.14.5)
>  of 2015-07-26 on urmel
> Windowing system distributor `The X.Org Foundation', version 11.0.11604000
> System Description:	Debian GNU/Linux 8.2 (jessie)
>
> Important settings:
>   value of $LANG: en_GB.UTF-8
>   locale-coding-system: utf-8-unix
>
> Major mode: Messages
>
> Minor modes in effect:
>   show-paren-mode: t
>   electric-pair-mode: t
>   icomplete-mode: t
>   global-hl-line-mode: t
>   shell-dirtrack-mode: t
>   display-time-mode: t
>   auto-insert-mode: t
>   server-mode: t
>   minibuffer-depth-indicate-mode: t
>   tooltip-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   buffer-read-only: t
>   column-number-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>   abbrev-mode: t
>
> Recent messages:
> Read-Only mode enabled
> call-interactively: Buffer is read-only: #<buffer  *Minibuf-1*>
> command-execute: Buffer is read-only: #<buffer  *Minibuf-1*>
> call-interactively: Buffer is read-only: #<buffer  *Minibuf-1*>
> command-execute: Buffer is read-only: #<buffer  *Minibuf-1*>
> call-interactively: Buffer is read-only: #<buffer  *Minibuf-1*> [2 times]
> Quit [2 times]
> user-error: Beginning of history; no preceding item
> Quit
> user-error: Beginning of history; no preceding item
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort bbdb-message mail-extr emacsbug message rfc822 mml mml-sec
> mm-decode mm-bodies mm-encode mail-parse rfc2231 gmm-utils mailheader
> sendmail rfc2047 rfc2045 ietf-drums mail-utils vc-git gnugo-imgen
> xpm-m2z artist picture reporter rect xpm gnugo ibuf-ext ibuffer
> mule-util calc-misc calc-arith calc-map calc-stat calc-vec calc-menu
> calc-aent tabify org-table info package epg-config edmacro kmacro ffap
> thingatpt url-parse url-vars paren elec-pair icomplete hl-line dired-x
> ob-maxima ob-latex ob-sh shell ob-calc calc-store calc-trail calc-ext
> ob-R ob-python ox-koma-letter ox-beamer ox-rss ox-taskjuggler cl-macs
> ox-latex ox-icalendar ox-html ox-ascii ox-publish ox cl gv calc
> calc-loaddefs calc-macs auth-source eieio byte-opt bytecomp byte-compile
> cl-extra cconv eieio-core mm-util help-fns mail-prsvr password-cache
> cal-china lunar solar cal-dst cal-bahai cal-islam cal-hebrew holidays
> hol-loaddefs appt diary-lib diary-loaddefs battery time bbdb-print
> bbdb-com crm mailabbrev bbdb bbdb-site timezone bbdb-loaddefs
> org-element org-rmail org-mhe org-irc org-info org-gnus gnus-util
> org-docview doc-view jka-compr image-mode dired cl-loaddefs cl-lib
> org-bibtex bibtex org-bbdb org-w3m org org-macro org-footnote
> org-pcomplete pcomplete org-list org-faces org-entities noutline outline
> easy-mmode org-version ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table
> ob-exp org-src ob-keys ob-comint comint ansi-color ring ob-core ob-eval
> org-compat org-macs org-loaddefs format-spec find-func cal-menu easymenu
> calendar cal-loaddefs autoinsert server mb-depth time-date tooltip
> electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
> tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
> lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
> scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
> georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
> korean japanese hebrew greek romanian slovak czech european ethiopic
> indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
> abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
> text-properties overlay sha1 md5 base64 format env code-pages mule
> custom widget hashtable-print-readable backquote make-network-process
> dbusbind gfilenotify dynamic-setting system-font-setting
> font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)
>
> Memory information:
> ((conses 16 278775 18087)
>  (symbols 48 37185 2)
>  (miscs 40 365 689)
>  (strings 32 70786 7613)
>  (string-bytes 1 2278284)
>  (vectors 16 29283)
>  (vector-slots 8 634691 18961)
>  (floats 8 709 832)
>  (intervals 56 5523 12)
>  (buffers 960 22)
>  (heap 1024 70969 1144))